Name:          geronimo-txmanager
Version:       3.1.3
Release:       %mkrel 4
Group:         Development/Java
Summary:       Geronimo Transaction Manager
License:       ASL 2.0
URL:           http://geronimo.apache.org/
Source0:       https://github.com/apache/geronimo-txmanager/archive/%{name}-parent-%{version}.tar.gz

BuildRequires: apache-resource-bundles
BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-validation_1.0_spec)
BuildRequires: mvn(org.apache.geronimo.specs:specs:pom:)
BuildRequires: mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec)
BuildRequires: mvn(org.objectweb.howl:howl)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)

BuildArch:     noarch

%description
Inbound and outbound connections in Geronimo are managed through the
J2CA connector framework. This covers JDBC, JMS, DataSources,
EIS connectivity, and connection pools. JDBC connectivity is implemented by
wrapping JDBC XADataSource, ConnectionPoolDataSource, DataSource,
or Driver implementations in J2CA connector wrappers.

%package -n geronimo-connector
Summary:       Geronimo TxManager :: Connector

%description -n geronimo-connector
Geronimo J2CA Connector Framework.

%package -n geronimo-transaction
Summary:       Geronimo TxManager :: Transaction

%description -n geronimo-transaction
Geronimo Transaction Manager.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}
# Fix parent pom
# org.apache.geronimo.genesis:genesis-java5-flava:2.0
%pom_remove_parent
%pom_add_parent org.apache.geronimo.specs:specs:1.4

%pom_change_dep -r :geronimo-j2ee-connector_1.6_spec org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec:1.0.0.Final

# these tests fails with NullPointerException
rm -r geronimo-connector/src/test/java/org/apache/geronimo/connector/outbound/AbstractSinglePoolTest.java \
  geronimo-connector/src/test/java/org/apache/geronimo/connector/outbound/SinglePoolTest.java \
  geronimo-connector/src/test/java/org/apache/geronimo/connector/outbound/SinglePoolMatchAllTest.java

%mvn_file :geronimo-connector geronimo-connector
%mvn_file :geronimo-transaction geronimo-transaction

%mvn_package :geronimo-connector::tests: geronimo-connector

%build

%mvn_build -s -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}-parent
%license LICENSE NOTICE

%files -n geronimo-connector -f .mfiles-geronimo-connector
%license LICENSE NOTICE

%files -n geronimo-transaction -f .mfiles-geronimo-transaction
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Sun Jun 04 2017 neoclust <neoclust> 3.1.3-4.mga6
+ Revision: 1106706
- Disable tests

* Wed Mar 02 2016 neoclust <neoclust> 3.1.3-3.mga6
+ Revision: 981925
- Second rebuild of the java stack

* Thu Feb 25 2016 neoclust <neoclust> 3.1.3-2.mga6
+ Revision: 979231
- sync package geronimo-txmanager with fedora


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 30 2015 gil cattaneo <puntogil@libero.it> 3.1.3-1
- update to 3.1.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 31 2012 gil cattaneo <puntogil@libero.it> 3.1.1-1
- initial rpm
